---
name: "getAstronomicalList"
mode: "api"
versionRequirements:
  - { name: "@ray-js/ray", version: "1.5.2" }
title: "getAstronomicalList - Get Astronomical Timer List"
---

## getAstronomicalList

> [VERSION] @ray-js/ray >= 1.5.2

### Description

Get the astronomical timer list

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `IGetAstronomicalList` | Yes | Request parameters |

### Return Value

Type: `Promise<IGetAstronomicalListResponse>`

Array of astronomical timers

### Referenced Types

##### `interface` IGetAstronomicalList

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `bizId` | `string` | Yes | Device ID or group ID |


### Examples

#### Basic usage

```ts
import { getAstronomicalList } from '@ray-js/ray';

getAstronomicalList({
  bizId: 'vdevo160456552237748',
}).then((response) => {
  console.log('Astronomical timer list:', response);
}).catch((err) => {
  console.error(err);
});
```
